# Enum Class TaskOwnership

java.lang.Object
java.lang.Enum<TaskOwnership>
com.independentsoft.pst.TaskOwnership

All Implemented Interfaces:
  `Serializable`, `Comparable<TaskOwnership>`, `Constable`

public enum TaskOwnership extends Enum<TaskOwnership>
Indicates the ownership state of the task.

- ## Nested Class Summary

  ### Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `DELEGATED`
  Specifies that task has been delegated to another user.
  `NEW`
  Specifies that task has not yet been assigned to a user.
  `NONE`
  None.
  `OWN`
  Specifies that task is assigned to the current user.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static TaskOwnership`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static TaskOwnership[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### NEW

    public static final TaskOwnership NEW
    Specifies that task has not yet been assigned to a user.

  - ### DELEGATED

    public static final TaskOwnership DELEGATED
    Specifies that task has been delegated to another user.

  - ### OWN

    public static final TaskOwnership OWN
    Specifies that task is assigned to the current user.

  - ### NONE

    public static final TaskOwnership NONE
    None.

- ## Method Details

  - ### values

    public static TaskOwnership[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static TaskOwnership valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null